export interface AutoURLDataSyncRepository {
}
export interface AutoURLDataSyncProps<Data> {
    readonly data: Data | null | undefined;
    readonly isLoadingData: boolean;
    saveData(): void;
    updateData(data: Partial<Data>): void;
    /** Update URL query parameters without reloading and trigger a re-sync. */
    updateURLQuery(...queries: readonly Readonly<{
        [K: string]: readonly (string | number)[] | string | number;
    }>[]): void;
}
export interface AutoURLDataSyncEnhancer<Data> extends FunctionalEnhancer<AutoURLDataSyncProps<Data>, {}> {
}
/**
 * Automatically sync with current URL by requesting data from server using
 * said URL. This is assuming there is data provided by the server at current
 * URL, e.g. user navigates to /users/1, this will send a GET request to
 * /users/1, which should have a defined backend route that contains the
 * relevant data.
 * This HOC is usually used for components rendered by a Route.
 */
export declare function autoURLDataSync<Data>(): AutoURLDataSyncEnhancer<Data>;
//# sourceMappingURL=dataHOC.d.ts.map